# PHTML::CheckBox Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::CheckBox:

List of all members.

## Public Member Functions

| CheckBox (const char *fname, const char *attr=NULL)
| CheckBox (const char *fname, DisableCodes disabled, const char *attr=NULL)
| CheckBox (const char *fname, CheckedCodes check, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~CheckBox ()

## Constructor & Destructor Documentation

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | CheckedCodes | check,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::CheckBox::~CheckBox | ( |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- html.h